mod error;
mod fields;
mod header;
mod version;

pub use error::{Error, ErrorKind};
pub use fields::Op;
pub use header::Header;
pub use version::Version;

pub type Input<'a> = &'a [u8];
pub type InputOwned = Vec<u8>;
pub type IResult<'a, T> = nom::IResult<Input<'a>, T, Error<Input<'a>>>;

pub type InputStr<'a> = &'a str;
pub type IResultStr<'a, T> = nom::IResult<InputStr<'a>, T, Error<InputStr<'a>>>;

pub type SmallStr = String;
